post
https://api.instantpay.in/identity/okyc/verify
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Headers
| Name | Type | Description | Mandatory (M) , Optional (O) | Provided by INSTANTPAY (Y/N) |
|---|---|---|---|---|
| X-Ipay-Auth-Code | String | Auth Code -1 (Fixed) | M | Y |
| X-Ipay-Client-Id | String | Unique Client ID | M | Y |
| X-Ipay-Client-Secret | String | Unique secret key | M | Y |
| X-Ipay-Endpoint-Ip | String | Customer End Point Ip Address | M | N |
Request Parameters
| Name | Type | Requirement | Description |
|---|---|---|---|
| otp | String | Mandatory | OTP Received on Mobile Number |
| otpReferenceID | String | Mandatory | Same as received in Send OTP API response |
| latitude | String | Mandatory | End Customer Latitude. |
| longitude | String | Mandatory | End Customer Longitude. |
| externalRef | String | Mandatory | Unique transaction id |
| consent | Enum(Y/N) | Mandatory | Consent should be accepted by customer |
Sample Request
curl --location 'https://api.instantpay.in/identity/okyc/verify' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--data '{
"otp" : "xxxxx",
"otpReferenceID" : "xxxxxxxx",
"latitude" : {{$randomLatitude}},
"longitude" : {{$randomLongitude}},
"externalRef" : "{{random}}",
"consent" : "Y"
}
'POST /identity/okyc/verify HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json
{
"otp" : "xxxxx",
"otpReferenceID" : "xxxxxxx",
"latitude" : {{$randomLatitude}},
"longitude" : {{$randomLongitude}},
"externalRef" : "{{random}}"
"consent" : "Y"
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| statuscode | String | InstantPay Status Code |
| actcode | String | Action Code |
| status | String | Status message |
| data | Array | Response Data (If Present) |
| timestamp | String | Current time (YYYY-MM-DD HH:II:SS) |
| ipay_uuid | String | Request reference number |
| orderid | String | Transaction Id ( If transaction otherwise it is null ) |
| environment | String | Live |
Sample Response
{
"statuscode": "TXN",
"actcode": null,
"status": "Transaction Successful",
"data": {
"fullName": "Sample Name",
"isMobileVerified": false,
"isEmailVerified": false,
"shortAadhaarNumber": "xxxx",
"dateOfBirth": "01-01-2000",
"gender": "M",
"address": {
"country": "India",
"dist": "South Delhi",
"state": "Delhi",
"po": "Post Office Name",
"loc": "Locality Name",
"vtc": "Sample Address",
"subdist": "",
"street": "Street Name",
"house": "House Number",
"landmark": "",
"pc": "010345",
"careof": "Sample Name"
},
"profilePic": "", "xmlContent": "", "externalRef": "123456789",
"pool": {
"referenceId": "1000987654321EZFJY",
"openingBalance": "40.58",
"mode": "DR",
"closingBalance": "40.58",
"transactionValue": "0.00",
"payableValue": "0.00"
}
},
"timestamp": "2024-02-20 11:52:12",
"ipay_uuid": "h06896097f63-XXXX-XXXX-XXXX-794c62d59494",
"orderid": "1000987654321EZFJY",
"environment": "LIVE",
"internalCode": null
}
